
import React,{Component, PureComponent}  from 'react';
import {
    StyleSheet,
    View,
    Text,
    TouchableWithoutFeedback,
    Dimensions,
    Image,
    Animated,
} from 'react-native';

import WMImage from '../WMImage';
import WMView from '../WMView';

let {height, width} = Dimensions.get('window');

import LottieView from 'lottie-react-native';

export default class Refreshing extends PureComponent {

    // 构造
    constructor(props) {
        super(props);

        this.state = {
            isShow:this.props.isShow,
            play:this.props.play,
        };
    }

    componentWillReceiveProps(nextProps) {
        if(nextProps){
            const { play } = nextProps;
            if(play){
                this.startAnim();
            }else{
                this.stopAnim();
            }
        }
    }

    componentDidMount(){
    }

    componentWillUnmount(){
        this.stopAnim();
    }

    componentDidUpdate() {
    }

    show = ()=>{
        this.setState({isShow:true});
    }

    hidden = ()=>{
        this.stopAnim();
        this.setState({isShow:false});
    }

    /**
     * 开始动画
     */
    startAnim = ()=>{
        this.refs.lottieView && this.refs.lottieView.play();
    }

    /**
     * 停止动画
     */
    stopAnim = ()=>{
        this.refs.lottieView && this.refs.lottieView.reset();
    }

    render() {
        const { isShow } = this.state;

        if(!isShow){
            this.stopAnim();
            return null;
        }

        const { style } = this.props;
        return (
            <WMView pointerEvents={'none'} style={[styles.loading, style]}>

                <LottieView
                    ref={'lottieView'}
                    source={require('../anim_data/anim_header_data.json')}
                />

            </WMView>
        );
    }

}


const styles = StyleSheet.create({
    loading: {
        width:'100%',
        height:50,
        justifyContent: 'center',
        alignItems: 'center',
        backgroundColor:'transparent',
    }
})